import * as langly from "langly";
import { Log } from "@payfunc/model-log";
export declare class IntergiroLogTable {
  element: HTMLElement;
  t: langly.Translate;
  hideMerchant: boolean;
  logs?: Log[];
  abbreviated: boolean;
  opened: Record<number, string>;
  count: number;
  componentWillLoad(): void;
  toggleColumn(e: CustomEvent<{
    index: number;
    column: string;
  }>): void;
  render(): any[];
}
